> ## Documentation Index
> Fetch the complete documentation index at: https://docs.campfire.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get File Temporary Download URL

> Return a short-lived presigned S3 URL for downloading a file.

Pass ``?disposition=inline`` to render preview-safe types (PDF, images)
in the browser instead of forcing a download.

:param request: The incoming DRF request (must be authenticated).
:return: JSON response with ``url`` key or an error.



## OpenAPI

````yaml https://api.meetcampfire.com/api/schema?format=json get /ca/api/file/{id}/temp-download-url
openapi: 3.0.3
info:
  title: Campfire Developer APIs
  version: 1.0.0
  description: >
    ## Introduction

    Campfire's developer APIs offer granular access to Campfire's core
    accounting,

    revenue recognition, and financial data features.


    These APIs are designed to be used by developers to build custom
    integrations,

    automate workflows, and perform any other programmatic operations.
servers:
  - url: https://api.meetcampfire.com
    description: Production server
security: []
tags:
  - name: Cash Management
    description: Operations related to accounts, transactions, and other bank-related data.
  - name: Core Accounting
    description: >-
      Operations related to core accounting data, such as the chart of accounts,
      entity management, and the general ledger.
  - name: Revenue Recognition
    description: >-
      Operations related to revenue recognition, contract management, and
      contract data aggregation.
  - name: Accounts Receivable
    description: Operations related to invoicing and the AR subledger
  - name: Accounts Payable
    description: Operations related to billing and the AP subledger.
  - name: Financial Statements
    description: Operations related to financial statement generation and data aggregation.
  - name: Settings
    description: Operations related to system and accounting settings configuration.
paths:
  /ca/api/file/{id}/temp-download-url:
    get:
      tags:
        - Settings
      summary: Get File Temporary Download URL
      description: |-
        Return a short-lived presigned S3 URL for downloading a file.

        Pass ``?disposition=inline`` to render preview-safe types (PDF, images)
        in the browser instead of forcing a download.

        :param request: The incoming DRF request (must be authenticated).
        :return: JSON response with ``url`` key or an error.
      operationId: get_file_temp_download_url
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          required: true
      responses:
        '200':
          description: No response body
      security:
        - knoxApiToken: []
components:
  securitySchemes:
    knoxApiToken:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````